MidiStatus class Reference (libkmid Library)

| # libkmid Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# MidiStatus Class Reference

Stores the status of a MIDI device . Stores the MIDI status. More...

`#include <midistat.h>`

List of all members.

## Public Member Functions
| MidiStatus ()
| Constructor.
| ~MidiStatus ()
| Destructor.
void | keyPressure (uchar chn, uchar note, uchar vel)
| Stores a new value for the key aftertouch.
void | chnPatchChange (uchar chn, uchar patch)
| Stores a new patch in channel `chn`.
uchar | chnPatch (uchar chn)
| Returns the patch currently used in channel `chn`.
void | chnPressure (uchar chn, uchar vel)
| Stores a new channel pressure value in channel `chn`.
uchar | chnPressure (uchar chn)
| Returns the pressure value currently used in channel `chn`.
void | chnPitchBender (uchar chn, uchar lsb, uchar msb)
| Stores a new pitch bender value in channel chn.
int | chnPitchBender (uchar chn)
| Returns the pitch bender value used in channel `chn`.
void | chnController (uchar chn, uchar ctl, uchar v)
| Stores a new value for controller `ctl` in channel `chn`.
uchar | chnController (uchar chn, uchar ctl)
| Returns the value used for controller `ctl` in channel `chn`.
void | sysex (uchar *data, ulong size)
| Stores a sysex message that will be send in the next call to sendData.
void | tmrSetTempo (int v)
| Sets the tempo.
void | sendData (class DeviceManager *midi, int gm=1)
| Sends the current MIDI state to the DeviceManager object used as parameter (you should have already set the default device to the one you want to use).

## Detailed Description

Stores the status of a MIDI device . Stores the MIDI status.

That is, current patch in each channel, controller settings, pitch bender value, etc.

This is used to "play" with all those values and then send them to the MIDI device just by using sendData()

Version:
  0.9.5 17/01/2000

Author:
  Antonio Larrosa Jimenez <larrosa@kde.org>

Definition at line 40 of file midistat.h.

## Constructor & Destructor Documentation

MidiStatus::MidiStatus | ( |  | ) |

| Constructor. Definition at line 36 of file midistat.cc.

MidiStatus::~MidiStatus | ( |  | ) |

| Destructor. Definition at line 54 of file midistat.cc.

## Member Function Documentation

void MidiStatus::keyPressure | ( | uchar | chn,
|  | uchar | note,
|  | uchar | vel
| ) |

| Stores a new value for the key aftertouch. See also: MidiOut::keyPressure()

void MidiStatus::chnPatchChange | ( | uchar | chn,
|  | uchar | patch
| ) |

| Stores a new patch in channel `chn`. See also: chnPatch() MidiOut::chnPatchChange() Definition at line 61 of file midistat.cc. Referenced by MidiPlayer::setPos().

uchar MidiStatus::chnPatch | ( | uchar | chn | ) | `[inline]`

| Returns the patch currently used in channel `chn`. Definition at line 86 of file midistat.h.

void MidiStatus::chnPressure | ( | uchar | chn,
|  | uchar | vel
| ) |

| Stores a new channel pressure value in channel `chn`. See also: MidiOut::chnPressure() Definition at line 66 of file midistat.cc. Referenced by MidiPlayer::setPos().

uchar MidiStatus::chnPressure | ( | uchar | chn | ) | `[inline]`

| Returns the pressure value currently used in channel `chn`. Definition at line 97 of file midistat.h.

void MidiStatus::chnPitchBender | ( | uchar | chn,
|  | uchar | lsb,
|  | uchar | msb
| ) |

| Stores a new pitch bender value in channel chn. Definition at line 71 of file midistat.cc. Referenced by MidiPlayer::setPos().

int MidiStatus::chnPitchBender | ( | uchar | chn | ) | `[inline]`

| Returns the pitch bender value used in channel `chn`. Definition at line 107 of file midistat.h.

void MidiStatus::chnController | ( | uchar | chn,
|  | uchar | ctl,
|  | uchar | v
| ) |

| Stores a new value for controller `ctl` in channel `chn`. Definition at line 76 of file midistat.cc. Referenced by MidiPlayer::setPos().

uchar MidiStatus::chnController | ( | uchar | chn,
|  | uchar | ctl
| ) | `[inline]`

| Returns the value used for controller `ctl` in channel `chn`. Definition at line 117 of file midistat.h.

void MidiStatus::sysex | ( | uchar * | data,
|  | ulong | size
| ) |

| Stores a sysex message that will be send in the next call to sendData.

void MidiStatus::tmrSetTempo | ( | int | v | ) |

| Sets the tempo. See also: DeviceManager::tmrSetTempo() Definition at line 84 of file midistat.cc. Referenced by MidiPlayer::setPos().

void MidiStatus::sendData | ( | class DeviceManager * | midi,
|  | int | gm = 1
| ) |

| Sends the current MIDI state to the DeviceManager object used as parameter (you should have already set the default device to the one you want to use). The `gm` parameter specifies if the patches used follow the GM standard (1), or follow the MT32 standard (0), in which case, they will be converted to GM before being sent. Definition at line 89 of file midistat.cc. References DeviceManager::chnController(), DeviceManager::chnPatchChange(), DeviceManager::chnPitchBender(), DeviceManager::chnPressure(), DeviceManager::sync(), and DeviceManager::tmrSetTempo(). Referenced by MidiPlayer::play().

The documentation for this class was generated from the following files:

- midistat.h
- midistat.cc

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:28:39 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001